WordPress 5.1 ”Betty”

Tiivistelmä: Päivitys parantaa erityisesti Gutenberg-sisältöeditorin toimintaa, mutta tarjoaa myös uusia työkaluja sivustojen ylläpitäjille ja kehittäjille.

Jazz-laulaja Betty Carterin nimeä kantava WordPress-versiopäivitys on julkaistu. Uusi versio on jatkoa viime vuoden lopulla julkaistulle 5. versiolle.

Sivuston toiminta

WordPress 5.1 tuo mukaan ensimmäisen järjestelmän tilaa seuraavan ominaisuuden. Tästä edes WordPress näyttää sivuston ohjausnäkymässä varoituksen, jos sivusto käyttää vanhentunutta PHP-versiota. Lisäksi järjestelmä tarkistaa lisäosan asentamisen yhteydessä lisäosan ja käytössä olevan PHP-version yhteensopivuuden. Jos lisäosa ja sivuston käyttämä PHP eivät ole yhteensopivia, lisäosa ei asennu.

Päivitä sivustosi PHP-versio

Palvelin (webhotelli), johon WordPress on asennuttu on suositeltavaa asettaa käyttämään vähintään PHP:n 7.0-versiota. PHP 7 on turvallisempi ja monin verroin nopeampi kuin nyt vanhentunut 5.6-versio. Jos tarvitset apua sivustosi PHP-version päivittämiseen, niin ota yhteyttä.

Parannuksia sisältöeditoriin

Versiopäivityksen myötä sisältöeditorin pitäisi käynnistyä aiempaa nopeammin ja editorin käytönkin pitäisi olla sulavampaa. Editoriin on luvassa vielä lisää parannuksia tulevissa WordPress-päivityksissä.

Uusia työkaluja kehittäjille

Betty-versio tuo mukanaan hyviä asioita myös kehittäjille.

Sivuston päivittäminen

Jos omalla sivustolla ei ole käytössä automaattisia päivityksiä, niin sivuston voi päivittää uusimpaan versioon kohdasta Ohjausnäkymä > Päivitykset > Päivitä.

Turvallisuus- ja ylläpitopäivitykset